//Codes d'exceptions / Exception codes
//(version anglaise: voir plus bas / english version: see below)

//Remarque: Seuls sont dcrits ici les codes des exceptions que vous pouvez souhaiter
//intercepter de faon courante. N'utilisez pas directement un code d'exception
//(par exemple 1063): prfrez toujours une constante (comme exManqueDeMmoire); crez
//au besoin vos propres constantes.

Constant
	//---Mmoire:
	exManqueDeMmoire=1063			//Pas assez de mmoire
	exPilePleine=1058				//Trop de traitements imbriqus
	//---Donnes:
	exHorsBornes=2304				//Indice de tableau hors bornes
	exTypeIncorrect=2021			//Type incorrect
	exTypesIncompatibles=1036		//Mlange de types incompatibles
	exDivParZro=1085				//Division par zro
	exNombreTropGrand=1026			//Nombre trop grand
	exValeurParamtre=1093			//Valeur du paramtre incorrecte
	//---Automation:
	exAutomAppel=2205				//Erreur Automation
	exAutomCration=2202			//Impossible de crer l'objet Automation
	exAutomInterne=2210				//Impossible d'utiliser Automation
	//---Divers:
	exCompoNonTrouve=1092			//Dll composante non trouve
	exProcInconnue=1027				//Appel d'une procdure inconnue
	exIdInconnu=1059				//Identificateur inconnu
	exClassInconnue=2411			//Classe non dfinie
	exMthodeInconnue=2404			//Mthode inconnue
	exMembreInconnu=2405			//Membre inconnu
	exAccsRestreint=2418			//Accs restreint
	exHeureInvalide=1103			//Heure invalide
	exDateInvalide=1104				//Date invalide
FIN

//Remark: Only most common exception codes are discribed.
//Never directly use an exception code (for example 1063): preferably use a
//constant (like exMemoryLow); if necessary, you may create your own constants.

Constant
	//---Memory:
	exMemoryLow=1063				//Out of memory
	exStackOverflow=1058			//Too many nested processes
	//---Data:
	exOutOfRange=2304				//Array subscript out of range
	exBadType=1021					//Incorrect type
	exIncompatibleTypes=1036		//Incompatible types
	exDivByZero=1085				//Divide by zero
	exMathOverflow=1026				//Number too large
	exBadValueParam=1093			//Incorrect parameter value
	//---Automation:
	exAutomCall=2205				//Automation error
	exAutomCreate=2202				//Unable to create the Automation object
	exAutomInternal=2210			//Automation cannot be used
	//---Miscelaneous:
	exCompoNotFound=1092			//Dll component not found
	exUnkownProc=1027				//Call of an unknown procedure
	exUnknownId=1059				//Unknown identifier
	exUnknownClass=2411				//Undefined class
	exUnknownMethod=2404			//Unknown method
	exUnknownMember=2405			//Unknown member
	exRestrictedAccess=2418			//Access restricted
	exInvalidTime=1103				//Invalid Time
	exInvalidDate=1104				//Invalid Date
FIN
